Retrieve a Search
curl --request GET \
--url https://commerce.driv.ly/api/searches/{id}import requests
url = "https://commerce.driv.ly/api/searches/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"lead": "<string>",
"minimumYear": 123,
"minimumRating": 2.5,
"maximumYear": 123,
"maximumPrice": 123,
"maximumOdometer": 1,
"vehicleSpecs": [
"<string>"
],
"vehicles": [
"<string>"
],
"models": [
"<string>"
],
"transmissions": [
"<string>"
],
"drivetrains": [
"<string>"
],
"makes": [
"<string>"
],
"bodyStyles": [
"<string>"
],
"trims": [
"<string>"
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Listings
Retrieve a Search
GET
/
searches
/
{id}
Retrieve a Search
Path Parameters
Search is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Search Found
Show child attributes
Show child attributes
Example:
{
"id": "src_5j3ks8d2hj3s",
"lead": "Lead ID",
"makes": ["Toyota", "Honda"],
"trims": ["SE", "EX"],
"models": ["Camry", "Civic"],
"vehicles": ["Vehicle ID"],
"bodyStyles": ["Sedan", "SUV"],
"minimumYear": 2015,
"maximumYear": 2021,
"drivetrains": ["FWD", "AWD"],
"maximumPrice": 30000,
"vehicleSpecs": ["Vehicle Spec ID"],
"minimumRating": 4,
"transmissions": ["Automatic", "Manual"],
"maximumOdometer": 50000
}
⌘I